import React from 'react';
import './App.sass';
import {SocketIOProvider} from "use-socketio/lib";
import Wrapper from "./Wrapper";

const App = () => {
    let host;
    if (window.location.hostname === "centurion.svia.nl") {
        host = "https://centurion.svia.nl";
    } else {
        host = window.location.protocol + "//" + window.location.hostname + ":3001";
    }

    return (
        <SocketIOProvider url={host}>
            <Wrapper/>
        </SocketIOProvider>
    );
};

export default App;
