export interface Tick {
    current: number,
    next?: {
        timestamp: number,
        events: TimestampEvent[]
    },
    nextShot?: {
        timestamp: number,
        count: number
    }
}

export interface TimestampEvent {
    type: 'talk' | 'shot' | 'song' | 'time',
    text: string[],
    shotCount?: number
}
