/**
 * Generates random int
 * @param {number} min, inclusive
 * @param {number} max, exclusive
 * @returns {number}
 */
function getRandomInt(min, max) {
    min = Math.ceil(min);
    max = Math.floor(max);
    return Math.floor(Math.random() * (max - min)) + min;
}

module.exports = {
    getRandomInt
};